Summary: GIT - GNU Interactive Tools
Name: git
Version: 4.3.17
Release: 3
Copyright: GNU
Group: Utilities/File
Source: ftp://prep.ai.mit.edu:/pub/gnu/git-4.3.17.tar.gz
Patch0: git-4.3.17-path.patch
Buildroot: /var/tmp/git-root
Prereq: /sbin/install-info
Summary(de): GIT - GNU Interactive Tools
Summary(fr): GIT - Outils interactifs de GNU
Summary(tr): GNU grsel kabuu

%changelog
* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- Fixed the dumb requirement for /usr/lib/git/term

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.3.17

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot to spec file; added the path-correction patch
- added info file handling

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- built against readline library w/ proper soname

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 4.3.16

%description
GIT is a file system browser for UNIX systems.
An interactive process viewer/killer, a hex/ascii file
viewer, an auto-mount shell script and a per file type
action script are also available.

The standard ANSI color sequences are used where available.
Manual pages and info documentation are also provided.

%description -l de
GIT ist ein Dateisystem-Browser fr UNIX-Systeme. Ein 
interaktiver Proze-Viewer/Killer, ein Hex/ASCII-Datei-Viewer, 
ein Auto-Mount-Shell-Skript und ein dateiformatbezogenes 
Aktions-Skript sind ebenfalls erhltlich. 

%description -l fr
GIT est un navigateur de systmes de fichiers pour les systmes UNIX.
Un visualisateur/destructeur interactif de processus, un visualisateur
de fichiers en hexa/ascii, un script shell d'automontage et un script
d'actions par type de fichier sont aussi disponibles.

Les squences standard ANSI pour les couleurs sont utilises
lorsqu'elles sont disponibles. Les pages du manuel et la doc info
sont aussi fournies.

%description -l tr
GIT, UNIX sistemler iin bir dosya sistemi arayzdr. Etkileimli bir sre
grntleyici/sonlandrc, bir hex/ascii dosya grntleyici, bir otomatik
balayc (auto-mount) kabuk betii ve dosya tipine gre betik altrma
yetenekleri vardr.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch0 -p1 -b .path

%build
CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS" LDFLAGS='-s' ./configure --prefix=/usr \
	--with-terminfo
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr/ install-strip
gzip -9nf $RPM_BUILD_ROOT/usr/info/git.info*

%files
%doc COPYING ChangeLog LSM NEWS PLATFORMS PROBLEMS README INSTALL
/usr/bin/*
/usr/bin/.gitaction
/usr/man/man1/*
/usr/info/*
/usr/lib/git/.gitrc*
%docdir /usr/lib/git/html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/git.info.gz /usr/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/git.info.gz /usr/info/dir
fi
